EDIT - feature request #6697

reconstruct getReferencingObjects to return DTOs
06/07/2017 10:14 AM - Katja Luther

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal

Description

the most expensive part of the referencing objects view is the creation of the lables. Therefore it would be better to return DTOs
already containing the labels.

Related issues:

Related to EDIT - feature request #6460: Refactor referencing objects in a wa... Closed
Related to EDIT - feature request #9541: Improve referencing objects handling Closed
History

#1 - 06/07/2017 10:15 AM - Katja Luther

- Related to feature request #6460: Refactor referencing objects in a way that supplemental data know what object they belong to added

#3 - 06/07/2017 10:16 AM - Katja Luther

- Tracker changed from bug to feature request

#4 - 03/24/2022 02:43 PM - Andreas Miuller

- Related to feature request #9541: Improve referencing objects handling added

#5 - 03/08/2023 03:56 PM - Andreas Miiller
- Status changed from New to Worksforme

- Target version deleted (Unassigned CDM tickets)

This has been implemented some time ago already. Partly by using a DTO and by loading the labels asynchronously server side.

#6 - 03/08/2023 03:56 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Miiller
